condivisi.soap

## Class LoggerUtil

- java.lang.Object
- - condivisi.soap.LoggerUtil

-     public class LoggerUtil
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private StringBuffer` | `appLog`
    `private Calendar` | `calendarInizio`
    `private boolean` | `flagMorsetti`
    `private String` | `idTransazione`
    `private static Logger` | `log`
    `private String` | `s`
    `private SimpleDateFormat` | `sdf`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoggerUtil()`
    `LoggerUtil(String idTransazione)`
    `LoggerUtil(String idTransazione, boolean flagMorsetti)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `debug(String line)`
    `void` | `end()`
    `void` | `end(String idTransazione, String messaggio)`
    `static String` | `getPrintStackTrace(Exception exception)`
    `private static boolean` | `isAmbienteSviluppo()`
    `private static boolean` | `isLevelDebug()`
    `static void` | `println(String line)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          private static Logger log

    - #### calendarInizio

          private Calendar calendarInizio

    - #### appLog

          private StringBuffer appLog

    - #### sdf

          private SimpleDateFormat sdf

    - #### s

          private String s

    - #### idTransazione

          private String idTransazione

    - #### flagMorsetti

          private boolean flagMorsetti

  - ### Constructor Detail

    - #### LoggerUtil

          public LoggerUtil()

    - #### LoggerUtil

          public LoggerUtil(String idTransazione)

    - #### LoggerUtil

          public LoggerUtil(String idTransazione,
                            boolean flagMorsetti)

  - ### Method Detail

    - #### end

          public void end()

    - #### end

          public void end(String idTransazione,
                          String messaggio)

    - #### isAmbienteSviluppo

          private static boolean isAmbienteSviluppo()

    - #### isLevelDebug

          private static boolean isLevelDebug()

    - #### println

          public static void println(String line)

    - #### debug

          public static void debug(String line)

    - #### getPrintStackTrace

          public static String getPrintStackTrace(Exception exception)